Skip to main content
POST
/
agreements
/
{agreementId}
/
accept
Record Agreement Acceptance
curl --request POST \
  --url https://api.dfns.io/agreements/{agreementId}/accept \
  --header 'Authorization: Bearer <token>' \
  --header 'X-DFNS-USERACTION: <api-key>'
{
  "agreementId": "<string>",
  "userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
  "dateAccepted": "2023-04-14T20:41:28.715Z"
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Agreements:Acceptance:Create: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

agreementId
string
required

ID of the agreement to accept.

Minimum string length: 1

Response

200 - application/json

Success

agreementId
string
required

ID of the agreement that was accepted.

userId
string
required

User id.

Required string length: 1 - 64
Pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"us-6b58p-r53sr-rlrd3l5cj3uc4ome"

dateAccepted
string<date-time>
required

ISO 8601 date (must be UTC). Date the agreement was accepted.

Example:

"2023-04-14T20:41:28.715Z"

Last modified on June 8, 2026